Name:           python-numpydoc
Version:        0.5
Release:        %mkrel 1
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        https://pypi.python.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python3-devel


%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%package -n python3-numpydoc
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python


%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.


%prep
%setup -q -n numpydoc-%{version}

cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
rm -rf %buildroot
pushd %{py3dir}
%py3_install
popd

%py2_install

 
%files
%doc LICENSE.txt README.rst
%{python2_sitelib}/numpydoc
%{python2_sitelib}/numpydoc-%{version}-py?.?.egg-info


%files -n python3-numpydoc
%doc LICENSE.txt README.rst
%{python3_sitelib}/numpydoc
%{python3_sitelib}/numpydoc-%{version}-py?.?.egg-info


%changelog
* Mon Oct 10 2016 adrianomorselli <adrianomorselli> 0.5-1uplos2016
- rebuild

* Sun Mar 20 2016 bb <bb> 0.5-1pclos2016
- update
